//	vlistbox.hpp		VIRTUAL LISTBOX CLASS WITH TWO SCROLL BARS
//	written by Gregory K. Miskin
//	COPYRIGHT (C) 1992.  All Rights Reserved.
//	Gregory K. Miskin, Orem, Utah  USA

#ifndef _VListBox_hpp
#define _VListBox_hpp

#include "structs.hpp"
#include "d4all.h"

class far TRect;

class VListBox : public TListViewer
{
public:
	VListBox( const TRect& bounds, ushort aNumCols,
					TScrollBar *hScrollBar,
					TScrollBar *vScrollBar);
	~VListBox();

	CodeBase			*cBase;
	DataIndex		*name;

	long GetRecord(long item);
	void OpenFiles();

protected:
	Field				*Fld;
	sfFields			fields;

	virtual void getText( char *dest, long item, long maxLen );

	void GetStr(int field_num, char *fld);
	void GetFields();
	void BuildLine();

	long 	filePos;
	int	status;
	char 	line[105];
};
#endif
