// demo2.hpp			BROWSE RECORD EDIT WINDOW
//	written by Gregory K. Miskin
//	COPYRIGHT (C) 1992.  All Rights Reserved.
//	Gregory K. Miskin, Orem, Utah  USA

#ifndef _demo2_hpp
#define _demo2_hpp

#include <tv.h>
#include "formatln.hpp"
#include "d4all.h"

class TEditRecord : public TDialog
{
public:
	 CodeBase 	*cBase;
	 DataIndex	*name;
	 Field		*Fld;

	 TEditRecord(long rec);
	 ~TEditRecord();
	 virtual void handleEvent(TEvent& event);

protected:
	long RecordNo;

	void Initialize();
	void SaveFile();
	void Quit();
	void Delete();
	void UnDelete();
	void WriteRecord();
	void GetStr(int field_num, char *fld);
	void PutStr(int field_num, char *fld);
	void GetAllFields();

	TFormatLine *e_store;
	TFormatLine *e_count;
	TFormatLine *e_recno;
	TFormatLine *e_fname;
	TFormatLine *e_lname;
	TFormatLine *e_street;
	TFormatLine *e_city;
	TFormatLine *e_state;
	TFormatLine *e_zip;
	TFormatLine *e_phone;
	TFormatLine *e_bday;

	TButton		*e_save;
	TButton		*e_del;
	TButton		*e_undel;
	TButton		*e_quit;
};
#endif
